Screenlets forgot their configuration.

Bug #345359 reported by ukamata on 2009-03-19
44
This bug affects 7 people
Affects Status Importance Assigned to Milestone
NULL Project
Undecided
Unassigned
Screenlets
Medium
Unassigned
Gentoo Linux
New
Undecided
Unassigned
screenlets (Ubuntu)
Medium
Julien Lavergne

Bug Description

Hi,

   I have these screenlets in my desktop:
     - MyIP
     - SensonsScreenlets (3 instances: cpu0, cpu1, mem)
     - NotesScreenlets (2 instances)

  Sometimes when I reboted my computer one Sensor, one Note and MyIp forgot their configuration and lost the data, for example: position, theme, text (in notes), etc.

   When this happens, the correct Screenlets (the screenlets that didn't forget their configuration) don't response to screenlets-manager orders, for example: restart all, close all.

I'm using an updated Gentoo (2008 x86) and I installed ScreenLets from your tgz package.

Thank you in advance.

Marcel Dancak (dancakm) wrote :

I have probably the same problem, but with Netmonitor screenlet. I made some changes in code and it seems it's working now. I attached backend.py file to replace.

ukamata (ukamata) wrote :

Dear Marcel,

  I saw your changes, but I have some reservations about the original function, I rewrote some part of code, please, check my new version, I think it is ok and it cannot fail. I tried to save common mistakes: full disk, error in privileges, etc.

  My new version save the settings to a temporal file and after move it to the settings file (using shtools library).

Best regards!

ukamata (ukamata) on 2009-04-06
description: updated
summary: - Screenlets forget his configuration.
+ Screenlets forgot their configuration.
Marcel Dancak (dancakm) wrote :

Hi ukamata,

I fixed just restoring from backup, so when the real problem occure, what is Broken pipe error (at least in my case), it restore config data successfuly. But this may probably crash too (never happens to me yet, fortunately).
Your version with saving to other file first should be more error resistant, it's all on shutil.move() function success :)

Good work!

Julien Lavergne (gilir) wrote :

Thanks for your work on it. Could you please provide a patch instead of the complete file ? It will be easier to deal with it. You can obtain a patch with this command : diff -Nur old_directory/ new_directory/ > the_patch.patch

affects: ubuntu → screenlets (Ubuntu)
Changed in screenlets (Ubuntu):
importance: Undecided → Medium
status: New → Incomplete
ukamata (ukamata) wrote :

Julien this is the patch

Thanks! :D

Julien Lavergne (gilir) on 2009-04-27
Changed in screenlets (Ubuntu):
assignee: nobody → Julien Lavergne (gilir)
status: Incomplete → In Progress
Julien Lavergne (gilir) wrote :

I included the patch in a package of my PPA. Can someone confirm that the bug disappear with the screenlets 0.1.2-6~ppa3 package of my PPA (https://launchpad.net/~gilir/+archive/unstable) ?

Julien Lavergne (gilir) wrote :

Also if someone could test with some reboot/shutdown to see if it's robust enough, it could solve the bug 261138.

ukamata (ukamata) wrote :

The bug disappear with this version, I tested this in Ubuntu/8.04 with screenlets 0.1.2-6~ppa3 package. I changed some screenlets and restart three times.

Daniel_le_Rouge (ville-lumiere) wrote :

I have the same problem with the following screenlets: BatteryState, Calendar, ClearWeather, Countdown, FeedReader, Stocks, Temperature, dayNight

Attached you will the log of the BatteryState screenlet.

max (mikhmv) wrote :

Hi,
I have same bug in Karmic ubuntu.
Screenlet FileFolder after each restart has checked option Keep above even it was unchecked before.

Thanks

It's not a paper cut. Paper cut bugs should not be app-specific. See https://launchpad.net/hundredpapercuts for more info.

Changed in hundredpapercuts:
status: New → Invalid
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package screenlets - 0.1.2-6

---------------
screenlets (0.1.2-6) unstable; urgency=low

  [ Julien Lavergne ]
  * debian/rules: Replace simple-patchsys by quilt.
  * debian/control:
   - Build-depends on quilt.
   - Remove X{B,S}-Python-Version.
   - Bump Standards-Version to 3.8.2 (no change needed).
  * debian/pyversions : Add compatible versions.
  * debian/patches:
   - 13-opacity-option.patch: Disable the opacity option if the screen
     is not composited (Closes: #518179).
   - 14-configuration-save.patch: From Ubuntu, save and restore the
     configuration file in some cases. (LP: #345359)
   - 15-nowplaying-mpd-try.patch: Try to connect to mpd instead of forcing
     the connection. (LP: #269256)
   - 16-clearweather-catch-connection-error.patch: From Ubuntu, catch
     connection error on update (thanks Kjell Braden for the patch).
     (LP: #264809)
   - 17-nowplaying-disable-amarok.patch: Disable Amarok 1.X support.
   - 18-nowplaying-rb-playing.patch: Avoid Dbus exception when checking
     if the player is playing.
   - 19-remove-autostart-output.patch: Remove output when screenlets are
     autostarted. (LP: #318248)
   - Update patches to apply with quilt.
  * debian/README.source: Replace by the quilt one.

  [ Siegfried-Angel Gevatter Pujals ]
  * debian/screenlets.install:
   - Install the available translations (usr/share/locale) (LP: #386878).

screenlets (0.1.2-5) unstable; urgency=medium

  * Urgency to medium to fix RC bug.
  * debian/patches: Update description for all patches.
  * debian/patches/12-new-class-creation.patch:
   - Use new-style class creation. This should avoid some segfaults
   (Closes: #519664).
  * debian/control:
   - Remove python-dcop from suggests.
   - Bump the need of a compositor to recommends, because it's needed to deal
     with transparency.
   - Following python-gnome2-desktop split.
    + Remove depends on python-gnome2-desktop
    + Add python-rsvg as depends.
    + Add python-wnck as depends, needed by screenlets-manager.
    + Add python-evolution as recommends, only needed by the
      EvolutionContacts Screenlets.
    + Add python-gnomekeyring as recommends, as it's an optional feature.
   - Bump Standards-Version to 3.8.1 (no change needed).

screenlets (0.1.2-4) unstable; urgency=low

  [ Julien Lavergne ]
  * debian/10-ImageMenuItem-update.patch
   - Replace get_children() by get_child() and get_image() following pygtk
     modifications.
  * debian/11-xfce-wallpaper-setting.patch
   - Add a xfconf-query call to update desktop wallpaper (Closes: #497222).
  * debian/control
   - Suggest xfconf for WallpaperClock under XFCE, require for
     11-xfce-wallpaper-setting.patch.
   - Switch from python-central to python-support.
   - Set XS-Python-Version to >= 2.4
   - Remove duplicated section in binary.
  * debian/copyright
   - Replace (C) by ©.
  * debian/pycompat: Remove.
  * debian/rules: Switch from pycentral to pysupport.

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

 -- Julien Lavergne <email address hidden> Mon, 22 Jun 2009 15:57:41 +0100

Changed in screenlets (Ubuntu):
status: In Progress → Fix Released
Vish (vish) on 2009-08-15
affects: hundredpapercuts → null
Julien Lavergne (gilir) wrote :

Committed in revision 472.

Changed in screenlets:
status: New → Fix Committed
importance: Undecided → Medium
bmfc187 (the-thorn-within781) wrote :

hi, i am having this issue with the AppMenu screenlet, i have added your ppa to my software sources and updated and it said it was installing the screenlets version 0.1.2-7ubuntu2, and then i deleted the offending screenlet, reset screenlet config, and remade my screenlet, then reboot. after reboot the screenlet still failed to retain its settings. any ideas? thanks...

Märt Põder (boamaod) on 2011-06-27
Changed in screenlets:
status: Fix Committed → Fix Released
Alexey Kushnir (alxpacker) wrote :

I have 3 screenlets:

Sysmonitor
GoogleCalendar
FolderView

After system restart Sysmonitor is always in a different place.
GoogleCalendar and FolderView sometimes forgets they positions.
Configuration files are also changing (x, y parameters)

I tried to change the permissions of configuration files, but the widgets still change position.
In this case, the entries in the configuration files are not changed and after restarting from gui
widgets return to the position that I need

Its annoying :(

Märt Põder (boamaod) wrote :

Can you please create a new report for this bug, because this very bug seems to be fixed. You can put a link to this fixed bug in your description though.

Just copy the description and please also describe your system (OS, desktop) and the version of Screenlets you are using. I have had similar problems since Unity came around, but I haven't been able to locate them, because they seem to happen too seldom and without recognizable pattern...

Thank you for your patience.

Srinivas Murthy (smurthygr) wrote :

I am facing the same problem of not remembering settings in 'AppMenu' screenlet. I have unchecked the screenlet and the .config file shows the same. But everytime I login it appears with the shadow. The shadow is removed if it is stopped and started from the screenlet manager. Is there another config file other than at /home/user/.config/screenlets/AppMenu/default?

Can you post here .config/screenlets/AppMenuScreenlet.log ?

On Sat, Jun 16, 2012 at 12:01 PM, Srinivas Murthy <email address hidden>wrote:

> I am facing the same problem of not remembering settings in 'AppMenu'
> screenlet. I have unchecked the screenlet and the .config file shows
> the same. But everytime I login it appears with the shadow. The shadow
> is removed if it is stopped and started from the screenlet manager. Is
> there another config file other than at
> /home/user/.config/screenlets/AppMenu/default?
>
> --
> You received this bug notification because you are a member of
> Screenlets Dev Team, which is subscribed to Screenlets.
> https://bugs.launchpad.net/bugs/345359
>
> Title:
> Screenlets forgot their configuration.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/null/+bug/345359/+subscriptions
>
> _______________________________________________
> Mailing list: https://launchpad.net/~screenlets-dev
> Post to : <email address hidden>
> Unsubscribe : https://launchpad.net/~screenlets-dev
> More help : https://help.launchpad.net/ListHelp
>

--
Regards,
Rastko Karadzic

Sir,

  .config/screenlets/AppMenuScreenlet.log given below please:

CachingBackend: Loading instances from cache
CachingBackend: Loading <AppMenu1>
color_title='0.00000,0.00000,0.00000,1.00000'
show_shadow='False'
height='240'
is_dragged='False'
font='DejaVu Sans Semi-Condensed 10'
theme_name='default'
scale='1.2'
is_sticky='True'
keep_above='False'
lock_position='True'
color_back='1.00000,1.00000,1.00000,0.00000'
opacity='1.0'
app_list='['firefox', 'thunderbird', 'pcmanfm', 'thunar', 'gimp',
'gedit', 'audacious', 'gcalctool', 'screenlets-manager', 'xfce4-terminal']'
color_hover='1.00000,0.78817,0.00000,0.64999'
font_title='DejaVu Sans Bold 10'
keep_below='True'
ask_on_option_override='False'
color_even='0.01279,0.02936,0.01479,0.09412'
y='131'
x='5'
skip_taskbar='True'
color_odd='0.00000,0.00000,0.00000,0.04706'
color_text='1.00000,1.00000,1.00000,1.00000'
Found a running session of AppMenu, adding new instance by service.
Error in screenlets.services.get_service_by_name:
org.freedesktop.DBus.Error.ServiceUnknown: The name
org.screenlets.AppMenu was not provided by any .service files
Screenlet has already been added to /tmp/screenlets/screenlets.sri.running
Loading instances in: /home/sri/.config/screenlets/AppMenu/default/
Loaded config from: AppMenu1.ini
Set options in AppMenuScreenlet
Restored instances from session 'default' ...

Running global cleanup code from study base classes.

Log looks ok, same as mine and I don't have problem with remembering
settings on login. From this log file I can see that there is line
"show_shadow='False'" which means that it should not show shadow. Can you
please try this: Close all AppMenu screenlets, then "rm
.config/screenlets/AppMenu/default/*" and "rm
.config/screenlets/AppMenuScreenlet.log", start AppMenu screenlet (check
Auto start at login), change shadow settings and then logout/login?

On Sun, Jun 17, 2012 at 7:41 AM, Srinivas Murthy <email address hidden>wrote:

> Sir,
>
> .config/screenlets/AppMenuScreenlet.log given below please:
>
>
> CachingBackend: Loading instances from cache
> CachingBackend: Loading <AppMenu1>
> color_title='0.00000,0.00000,0.00000,1.00000'
> show_shadow='False'
> height='240'
> is_dragged='False'
> font='DejaVu Sans Semi-Condensed 10'
> theme_name='default'
> scale='1.2'
> is_sticky='True'
> keep_above='False'
> lock_position='True'
> color_back='1.00000,1.00000,1.00000,0.00000'
> opacity='1.0'
> app_list='['firefox', 'thunderbird', 'pcmanfm', 'thunar', 'gimp',
> 'gedit', 'audacious', 'gcalctool', 'screenlets-manager', 'xfce4-terminal']'
> color_hover='1.00000,0.78817,0.00000,0.64999'
> font_title='DejaVu Sans Bold 10'
> keep_below='True'
> ask_on_option_override='False'
> color_even='0.01279,0.02936,0.01479,0.09412'
> y='131'
> x='5'
> skip_taskbar='True'
> color_odd='0.00000,0.00000,0.00000,0.04706'
> color_text='1.00000,1.00000,1.00000,1.00000'
> Found a running session of AppMenu, adding new instance by service.
> Error in screenlets.services.get_service_by_name:
> org.freedesktop.DBus.Error.ServiceUnknown: The name
> org.screenlets.AppMenu was not provided by any .service files
> Screenlet has already been added to /tmp/screenlets/screenlets.sri.running
> Loading instances in: /home/sri/.config/screenlets/AppMenu/default/
> Loaded config from: AppMenu1.ini
> Set options in AppMenuScreenlet
> Restored instances from session 'default' ...
>
> Running global cleanup code from study base classes.
>
> --
> You received this bug notification because you are a member of
> Screenlets Dev Team, which is subscribed to Screenlets.
> https://bugs.launchpad.net/bugs/345359
>
> Title:
> Screenlets forgot their configuration.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/null/+bug/345359/+subscriptions
>
> _______________________________________________
> Mailing list: https://launchpad.net/~screenlets-dev
> Post to : <email address hidden>
> Unsubscribe : https://launchpad.net/~screenlets-dev
> More help : https://help.launchpad.net/ListHelp
>

--
Regards,
Rastko Karadzic

Srinivas Murthy (smurthygr) wrote :

This did not work at first. However I tried again by deleting the
entire AppMenu directory in .config/screenlets/ , logged out, logged in
and only then started AppMenu again. Now it seems to work. This time
the shadow has not appeared. If it recurs I will let you know.
Thank you very much for the solution.

On 06/17/2012 06:15 PM, Rastko Karadzic wrote:
> Log looks ok, same as mine and I don't have problem with remembering
> settings on login. From this log file I can see that there is line
> "show_shadow='False'" which means that it should not show shadow. Can you
> please try this: Close all AppMenu screenlets, then "rm
> .config/screenlets/AppMenu/default/*" and "rm
> .config/screenlets/AppMenuScreenlet.log", start AppMenu screenlet (check
> Auto start at login), change shadow settings and then logout/login?
>
> On Sun, Jun 17, 2012 at 7:41 AM, Srinivas Murthy
> <email address hidden>wrote:
>
>> Sir,
>>
>> .config/screenlets/AppMenuScreenlet.log given below please:
>>
>>
>> CachingBackend: Loading instances from cache
>> CachingBackend: Loading<AppMenu1>
>> color_title='0.00000,0.00000,0.00000,1.00000'
>> show_shadow='False'
>> height='240'
>> is_dragged='False'
>> font='DejaVu Sans Semi-Condensed 10'
>> theme_name='default'
>> scale='1.2'
>> is_sticky='True'
>> keep_above='False'
>> lock_position='True'
>> color_back='1.00000,1.00000,1.00000,0.00000'
>> opacity='1.0'
>> app_list='['firefox', 'thunderbird', 'pcmanfm', 'thunar', 'gimp',
>> 'gedit', 'audacious', 'gcalctool', 'screenlets-manager', 'xfce4-terminal']'
>> color_hover='1.00000,0.78817,0.00000,0.64999'
>> font_title='DejaVu Sans Bold 10'
>> keep_below='True'
>> ask_on_option_override='False'
>> color_even='0.01279,0.02936,0.01479,0.09412'
>> y='131'
>> x='5'
>> skip_taskbar='True'
>> color_odd='0.00000,0.00000,0.00000,0.04706'
>> color_text='1.00000,1.00000,1.00000,1.00000'
>> Found a running session of AppMenu, adding new instance by service.
>> Error in screenlets.services.get_service_by_name:
>> org.freedesktop.DBus.Error.ServiceUnknown: The name
>> org.screenlets.AppMenu was not provided by any .service files
>> Screenlet has already been added to /tmp/screenlets/screenlets.sri.running
>> Loading instances in: /home/sri/.config/screenlets/AppMenu/default/
>> Loaded config from: AppMenu1.ini
>> Set options in AppMenuScreenlet
>> Restored instances from session 'default' ...
>>
>> Running global cleanup code from study base classes.
>>
>> --
>> You received this bug notification because you are a member of
>> Screenlets Dev Team, which is subscribed to Screenlets.
>> https://bugs.launchpad.net/bugs/345359
>>
>> Title:
>> Screenlets forgot their configuration.
>>
>> To manage notifications about this bug go to:
>> https://bugs.launchpad.net/null/+bug/345359/+subscriptions
>>
>> _______________________________________________
>> Mailing list: https://launchpad.net/~screenlets-dev
>> Post to : <email address hidden>
>> Unsubscribe : https://launchpad.net/~screenlets-dev
>> More help : https://help.launchpad.net/ListHelp
>>
>

Srinivas Murthy (smurthygr) wrote :

Sorry, the problem stays after I rebooted. The shadow is present
again. It goes if I stop it / restart it through screenlets manager,
only till reboot / relogin.
I have only one instance of AppMenu running, but I find "Found a running
session of AppMenu, adding new instance by service" in the
AppMenuScreenlet.log, does it signify anything?

On 06/17/2012 06:15 PM, Rastko Karadzic wrote:
> Log looks ok, same as mine and I don't have problem with remembering
> settings on login. From this log file I can see that there is line
> "show_shadow='False'" which means that it should not show shadow. Can you
> please try this: Close all AppMenu screenlets, then "rm
> .config/screenlets/AppMenu/default/*" and "rm
> .config/screenlets/AppMenuScreenlet.log", start AppMenu screenlet (check
> Auto start at login), change shadow settings and then logout/login?
>
> On Sun, Jun 17, 2012 at 7:41 AM, Srinivas Murthy
> <email address hidden>wrote:
>
>> Sir,
>>
>> .config/screenlets/AppMenuScreenlet.log given below please:
>>
>>
>> CachingBackend: Loading instances from cache
>> CachingBackend: Loading<AppMenu1>
>> color_title='0.00000,0.00000,0.00000,1.00000'
>> show_shadow='False'
>> height='240'
>> is_dragged='False'
>> font='DejaVu Sans Semi-Condensed 10'
>> theme_name='default'
>> scale='1.2'
>> is_sticky='True'
>> keep_above='False'
>> lock_position='True'
>> color_back='1.00000,1.00000,1.00000,0.00000'
>> opacity='1.0'
>> app_list='['firefox', 'thunderbird', 'pcmanfm', 'thunar', 'gimp',
>> 'gedit', 'audacious', 'gcalctool', 'screenlets-manager', 'xfce4-terminal']'
>> color_hover='1.00000,0.78817,0.00000,0.64999'
>> font_title='DejaVu Sans Bold 10'
>> keep_below='True'
>> ask_on_option_override='False'
>> color_even='0.01279,0.02936,0.01479,0.09412'
>> y='131'
>> x='5'
>> skip_taskbar='True'
>> color_odd='0.00000,0.00000,0.00000,0.04706'
>> color_text='1.00000,1.00000,1.00000,1.00000'
>> Found a running session of AppMenu, adding new instance by service.
>> Error in screenlets.services.get_service_by_name:
>> org.freedesktop.DBus.Error.ServiceUnknown: The name
>> org.screenlets.AppMenu was not provided by any .service files
>> Screenlet has already been added to /tmp/screenlets/screenlets.sri.running
>> Loading instances in: /home/sri/.config/screenlets/AppMenu/default/
>> Loaded config from: AppMenu1.ini
>> Set options in AppMenuScreenlet
>> Restored instances from session 'default' ...
>>
>> Running global cleanup code from study base classes.
>>
>> --
>> You received this bug notification because you are a member of
>> Screenlets Dev Team, which is subscribed to Screenlets.
>> https://bugs.launchpad.net/bugs/345359
>>
>> Title:
>> Screenlets forgot their configuration.
>>
>> To manage notifications about this bug go to:
>> https://bugs.launchpad.net/null/+bug/345359/+subscriptions
>>
>> _______________________________________________
>> Mailing list: https://launchpad.net/~screenlets-dev
>> Post to : <email address hidden>
>> Unsubscribe : https://launchpad.net/~screenlets-dev
>> More help : https://help.launchpad.net/ListHelp
>>
>

Download full text (4.0 KiB)

No, that is normal line in log file. Which version of screenlets and which
distro are you using?

On Mon, Jun 18, 2012 at 2:54 PM, Srinivas Murthy <email address hidden>wrote:

> Sorry, the problem stays after I rebooted. The shadow is present
> again. It goes if I stop it / restart it through screenlets manager,
> only till reboot / relogin.
> I have only one instance of AppMenu running, but I find "Found a running
> session of AppMenu, adding new instance by service" in the
> AppMenuScreenlet.log, does it signify anything?
>
>
> On 06/17/2012 06:15 PM, Rastko Karadzic wrote:
> > Log looks ok, same as mine and I don't have problem with remembering
> > settings on login. From this log file I can see that there is line
> > "show_shadow='False'" which means that it should not show shadow. Can you
> > please try this: Close all AppMenu screenlets, then "rm
> > .config/screenlets/AppMenu/default/*" and "rm
> > .config/screenlets/AppMenuScreenlet.log", start AppMenu screenlet (check
> > Auto start at login), change shadow settings and then logout/login?
> >
> > On Sun, Jun 17, 2012 at 7:41 AM, Srinivas Murthy
> > <email address hidden>wrote:
> >
> >> Sir,
> >>
> >> .config/screenlets/AppMenuScreenlet.log given below please:
> >>
> >>
> >> CachingBackend: Loading instances from cache
> >> CachingBackend: Loading<AppMenu1>
> >> color_title='0.00000,0.00000,0.00000,1.00000'
> >> show_shadow='False'
> >> height='240'
> >> is_dragged='False'
> >> font='DejaVu Sans Semi-Condensed 10'
> >> theme_name='default'
> >> scale='1.2'
> >> is_sticky='True'
> >> keep_above='False'
> >> lock_position='True'
> >> color_back='1.00000,1.00000,1.00000,0.00000'
> >> opacity='1.0'
> >> app_list='['firefox', 'thunderbird', 'pcmanfm', 'thunar', 'gimp',
> >> 'gedit', 'audacious', 'gcalctool', 'screenlets-manager',
> 'xfce4-terminal']'
> >> color_hover='1.00000,0.78817,0.00000,0.64999'
> >> font_title='DejaVu Sans Bold 10'
> >> keep_below='True'
> >> ask_on_option_override='False'
> >> color_even='0.01279,0.02936,0.01479,0.09412'
> >> y='131'
> >> x='5'
> >> skip_taskbar='True'
> >> color_odd='0.00000,0.00000,0.00000,0.04706'
> >> color_text='1.00000,1.00000,1.00000,1.00000'
> >> Found a running session of AppMenu, adding new instance by service.
> >> Error in screenlets.services.get_service_by_name:
> >> org.freedesktop.DBus.Error.ServiceUnknown: The name
> >> org.screenlets.AppMenu was not provided by any .service files
> >> Screenlet has already been added to
> /tmp/screenlets/screenlets.sri.running
> >> Loading instances in: /home/sri/.config/screenlets/AppMenu/default/
> >> Loaded config from: AppMenu1.ini
> >> Set options in AppMenuScreenlet
> >> Restored instances from session 'default' ...
> >>
> >> Running global cleanup code from study base classes.
> >>
> >> --
> >> You received this bug notification because you are a member of
> >> Screenlets Dev Team, which is subscribed to Screenlets.
> >> https://bugs.launchpad.net/bugs/345359
> >>
> >> Title:
> >> Screenlets forgot their configuration.
> >>
> >> To manage notifications about this bug go to:
> >> https://bugs.launchpad.net/null/+bug/345359/+subscriptions
> >>
> >> ________________________________________...

Read more...

Srinivas Murthy (smurthygr) wrote :
Download full text (4.4 KiB)

Screenlets : 0.1.6

Xubuntu 12.04 Compiz, dual boot with Windows 7

AMD 1090T X6, Nvidia GeForce GT520 - Nvidia 295.49, 8GB RAM

Other screenlets are working properly, eventhough there is a
notification that windowlist screenlet has crashed on almost every
login, I do not face any problem with it and it also works normally. I
have attached a screenshot of my desktop (with the AppMenu restarted and
without shadow).

On 06/18/2012 08:02 PM, Rastko Karadzic wrote:
> No, that is normal line in log file. Which version of screenlets and which
> distro are you using?
>
> On Mon, Jun 18, 2012 at 2:54 PM, Srinivas Murthy
> <email address hidden>wrote:
>
>> Sorry, the problem stays after I rebooted. The shadow is present
>> again. It goes if I stop it / restart it through screenlets manager,
>> only till reboot / relogin.
>> I have only one instance of AppMenu running, but I find "Found a running
>> session of AppMenu, adding new instance by service" in the
>> AppMenuScreenlet.log, does it signify anything?
>>
>>
>> On 06/17/2012 06:15 PM, Rastko Karadzic wrote:
>>> Log looks ok, same as mine and I don't have problem with remembering
>>> settings on login. From this log file I can see that there is line
>>> "show_shadow='False'" which means that it should not show shadow. Can you
>>> please try this: Close all AppMenu screenlets, then "rm
>>> .config/screenlets/AppMenu/default/*" and "rm
>>> .config/screenlets/AppMenuScreenlet.log", start AppMenu screenlet (check
>>> Auto start at login), change shadow settings and then logout/login?
>>>
>>> On Sun, Jun 17, 2012 at 7:41 AM, Srinivas Murthy
>>> <email address hidden>wrote:
>>>
>>>> Sir,
>>>>
>>>> .config/screenlets/AppMenuScreenlet.log given below please:
>>>>
>>>>
>>>> CachingBackend: Loading instances from cache
>>>> CachingBackend: Loading<AppMenu1>
>>>> color_title='0.00000,0.00000,0.00000,1.00000'
>>>> show_shadow='False'
>>>> height='240'
>>>> is_dragged='False'
>>>> font='DejaVu Sans Semi-Condensed 10'
>>>> theme_name='default'
>>>> scale='1.2'
>>>> is_sticky='True'
>>>> keep_above='False'
>>>> lock_position='True'
>>>> color_back='1.00000,1.00000,1.00000,0.00000'
>>>> opacity='1.0'
>>>> app_list='['firefox', 'thunderbird', 'pcmanfm', 'thunar', 'gimp',
>>>> 'gedit', 'audacious', 'gcalctool', 'screenlets-manager',
>> 'xfce4-terminal']'
>>>> color_hover='1.00000,0.78817,0.00000,0.64999'
>>>> font_title='DejaVu Sans Bold 10'
>>>> keep_below='True'
>>>> ask_on_option_override='False'
>>>> color_even='0.01279,0.02936,0.01479,0.09412'
>>>> y='131'
>>>> x='5'
>>>> skip_taskbar='True'
>>>> color_odd='0.00000,0.00000,0.00000,0.04706'
>>>> color_text='1.00000,1.00000,1.00000,1.00000'
>>>> Found a running session of AppMenu, adding new instance by service.
>>>> Error in screenlets.services.get_service_by_name:
>>>> org.freedesktop.DBus.Error.ServiceUnknown: The name
>>>> org.screenlets.AppMenu was not provided by any .service files
>>>> Screenlet has already been added to
>> /tmp/screenlets/screenlets.sri.running
>>>> Loading instances in: /home/sri/.config/screenlets/AppMenu/default/
>>>> Loaded config from: AppMenu1.ini
>>>> Set options in AppMenuScreenlet
>>>> Restored instances from sessi...

Read more...

I think this could make this problem
http://bazaar.launchpad.net/~screenlets-dev/screenlets/trunk/revision/806.
 It's fixed but it's in newest 0.1.7 developer version of screenlets. So
you have 2 choices: add PPA repository and install newest developer version
of screenlets (http://www.screenlets.org/index.php/Download) or wait for
0.1.7 stable version to be published.

Regards,
Rastko Karadzic

Srinivas Murthy (smurthygr) wrote :

I will wait for the stable version, as it is not a very big problem for
me. Thanks for the interest shown.
-Regards, Srinivas Murthy

On 06/19/2012 06:28 PM, Rastko Karadzic wrote:
> I think this could make this problem
> http://bazaar.launchpad.net/~screenlets-dev/screenlets/trunk/revision/806.
> It's fixed but it's in newest 0.1.7 developer version of screenlets. So
> you have 2 choices: add PPA repository and install newest developer version
> of screenlets (http://www.screenlets.org/index.php/Download) or wait for
> 0.1.7 stable version to be published.
>
> Regards,
> Rastko Karadzic
>

I have finally to recreate this bug and have opened new bug for AppMenu screenlet (https://bugs.launchpad.net/indiv-screenlets/+bug/1015591) because this is not global screenlet bug but there is something wrong in AppMenu source code.

Sir,
The problem may lie deeper and elsewhere. I have observed that when I
login sometimes the desktop wallpaper I have set is not displayed in
Xubuntu and the default is seen. In such cases the appmenu screenlet
shows shadow without fail. However if I logout/login the wallpaper I
set is seen and the appmenu is without shadow. (Eventhough If I get my
own wallpaper at login in the first instance, sometimes even with this
wallpaper it shows shadow.) I do not know where my setting for
wallpaper etc are saved. Perhaps appmenu also stores some settings there?
Hope this helps.
-Srinivas Murthy G R

On 06/20/2012 07:48 PM, Rastko Karadzic wrote:
> I have finally to recreate this bug and have opened new bug for AppMenu
> screenlet (https://bugs.launchpad.net/indiv-screenlets/+bug/1015591)
> because this is not global screenlet bug but there is something wrong in
> AppMenu source code.
>

Wallpaper doesn't have anything to do with screenlets because screenlets
save their own configs in separate folder. Look at
http://bazaar.launchpad.net/~indiv-screenlets-dev/indiv-screenlets/trunk/revision/1192

Regards,
Rastko Karadzic

Srinivas Murthy (smurthygr) wrote :

Sir,
As I had read somewhere (I have forgotten where), the problem of shadow
appearing seems to have disappeared after I created another user in My
Xubuntu system. Earlier I was the only user. Now after creating
another user, I do not seem to have this problem of AppMenu showing
shadows, eventhough disabled. I do not know how they are connected, but
there seems to be some link.
Thanks for your time, regards,
Srinivas Murthy

On 06/27/2012 12:13 PM, Rastko Karadzic wrote:
> Wallpaper doesn't have anything to do with screenlets because screenlets
> save their own configs in separate folder. Look at
> http://bazaar.launchpad.net/~indiv-screenlets-dev/indiv-screenlets/trunk/revision/1192
>
> Regards,
> Rastko Karadzic
>

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers